Package ru.bitel.bgbilling.kernel.contract.api.common.event

# Class ContractModifiedModuleEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.contract.api.common.event.ContractModifiedModuleEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class ContractModifiedModuleEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

Событие добавления или удаления модуля с договора.

See Also:
  Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `ContractModifiedModuleEvent.ModifiedModuleType` |

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractModifiedModuleEvent​(int moduleId, int contractId, int userId, ContractModifiedModuleEvent.ModifiedModuleType type)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ContractModifiedModuleEvent.ModifiedModuleType` | `getModifiedModuleType()` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractModifiedModuleEvent

    public ContractModifiedModuleEvent​(int moduleId, int contractId, int userId, ContractModifiedModuleEvent.ModifiedModuleType type)

- ## Method Details

  - ### getModifiedModuleType

    public ContractModifiedModuleEvent.ModifiedModuleType getModifiedModuleType()